Profile
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Update client profile data
Use this method to update a client profile.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/my/profile" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 1, "email": "username@example.com", "locale": "en_US", "status": "active", "nickname": "string", "photo": "7cbd334347af9a25b5d970b3aef618ba.jpeg", "maskedEmail": "u*********@********.com", "clientUiConfig": { "showId": true, "allowChangeUserPic": true, "allowChangeNickname": true, "allowShowNickname": true, "addressUpdating": "address_updating_disabled" }, "info": { "firstName": "string", "lastName": "string", "middleName": "string", "birthday": "2022-01-01T00:00:00+00:00" }, "phone": { "id": 1, "phone": "string", "ext": "string", "type": "mobile", "confirm": true, "default": true, "maskedPhone": "string" }, "phones": [ { "id": 1, "phone": "string", "ext": "string", "type": "mobile", "confirm": true, "default": true, "maskedPhone": "string" } ], "addresses": [ { "type": 1, "countryId": 1, "countryCode": 1, "city": "string", "state": "string", "subdivision": "string", "postalCode": "string", "street": "string", "streetNumber": "string", "address": "string", "options": [ "string" ] } ], "residentialAddress": { "type": 1, "countryId": 1, "countryCode": 1, "city": "string", "state": "string", "subdivision": "string", "postalCode": "string", "street": "string", "streetNumber": "string", "address": "string", "options": [ "string" ] }, "type": { "id": 1, "default": true, "enabled": true, "name": "Individual", "group": "individual", "wizard": true }, "country": { "countryId": 840, "alpha2Code": "US", "alpha3Code": "USA", "countryName": "United States", "numericCode": "840", "enabled": true }, "verificationLevel": { "id": 1, "index": 0, "name": "Level 0", "caption": "Level 0", "localizedCaption": "等级 0", "description": "The level description", "localizedDescription": "The localized level description", "mailDescription": "The email text", "mobileDescription": "The level description displayed in the mobile app", "localizedMobileDescription": "The localized level description displayed in the mobile app", "nextLevel": 2, "roleId": 1, "wizard": "DocumentsWizard", "default": true, "visible": true, "limits": { "total": 10, "data": [ { "id": 1, "currencyCode": 840, "dailyDeposit": "100.42", "dailyWithdrawal": "100.42", "dailyBuy": "100.42", "dailySell": "100.42", "dailyInternalTransfer": "100.42", "monthlyWithdrawal": "100.42", "monthlyBuy": "100.42", "monthlySell": "100.42", "autoWithdrawal": "100.42", "transferMin": "100.42" } ] }, "options": [ "string" ] }, "lastLoginTime": "2022-01-01T00:00:00+00:00", "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00", "limits": { "maxDemoTradingAccounts": 1, "maxLiveTradingAccounts": 1 }}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Conflict", "code": 0 }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}